/*
* Style for custom CPTS single pages
* remseo-events + remseo-places
*/
/*-------------------
  ## Common
---------------------*/
/*Main Container*/
.cpt-post-single {width: 100%;}

/*CPT post Header | Branding datas*/
.cpt-post-single header.cpt-post-header {position: relative; width: 100%; background: var(--featured-color); height: calc(100vh - 190px);}
.cpt-post-single header.cpt-post-header div.overlay {position: absolute; width: 100%; height: 100%; background-color: rgba(0,0,0,0.5); z-index: 1;}
.cpt-post-single header.cpt-post-header figure {height: 100%;}
.cpt-post-single header.cpt-post-header figure > div.overlay {position: absolute; width: 100%; height: 100%;background-color: var(--secondary-bg); opacity: 0.5; z-index: 1;}
/*note that we use an image with absolute position
=> a bit better for SEO than a cover-image there (as we sometimes have only this feat image)
*/
.cpt-post-single header.cpt-post-header figure img.cpt-post-feat-img {position: absolute;}
.cpt-post-single header.cpt-post-header figure figcaption {height: 100%;}
.cpt-post-single header.cpt-post-header figure figcaption .cpt-single-main-datas .main-title {color: var(--light-txt-color); font-size: 3rem; margin: 1rem 0; z-index: 2;}
.cpt-post-single header.cpt-post-header figure figcaption .cpt-single-main-datas .scroll-indicator {z-index: 2;}
.cpt-post-single header.cpt-post-header figure figcaption .cpt-single-main-datas .scroll-indicator i.fas {font-size: 1.25rem; margin: 12px 0; color: var(--light-txt-color);}

/*CPT post Header | Address + contact datas*/
.cpt-post-single header.cpt-post-header figure figcaption .cpt-single-ids-datas {position: relative;}
.cpt-post-single header.cpt-post-header figure figcaption .cpt-single-ids-datas .ids-datas-overlay {position: absolute; width: 100%; height: 100%;background-color: var(--secondary-bg); opacity: 0.25; z-index: 1; transition: 400ms all ease-in-out;}
.cpt-post-single header.cpt-post-header figure figcaption .cpt-single-ids-datas ul {position: relative; width: 75%; list-style: none; z-index: 2;}
.cpt-post-single header.cpt-post-header figure figcaption .cpt-single-ids-datas ul > li {margin: 1rem 0; color: var(--light-txt-color); font-size: 1rem;}
.cpt-post-single header.cpt-post-header figure figcaption .cpt-single-ids-datas ul > li > a {color: var(--light-txt-color); font-weight: 400; font-size: 1.10rem;}

/*Tablet landscapes mainly (and small desktop screens occasionnally)*/
@media all and (max-width: 1024px) {
  .cpt-post-single header.cpt-post-header {height: 95vh;}
}

@media all and (max-width: 576px) {
  .cpt-post-single {padding-top: 81px;}
  .cpt-post-single header.cpt-post-header {height: 100%;}
  .cpt-post-single header.cpt-post-header figure figcaption .cpt-single-main-datas .main-title {font-size: 2rem; margin: 3rem 0;}
  .cpt-post-single header.cpt-post-header figure figcaption .cpt-single-main-datas .scroll-indicator {display: none;}
  .cpt-post-single header.cpt-post-header figure figcaption .cpt-single-ids-datas .ids-datas-overlay {display: none;}
}

/*Body container*/
.cpt-post-single #cpt-post-details {position: relative; width: 100%; background-color: var(--alt-bg);}

/*Leaflet map*/
.cpt-post-single #cpt-post-details .leaflet-container {position: relative; height: auto; padding: 24px 12px;}
.cpt-post-single #cpt-post-details .leaflet-container .leaflet-map {height: 440px; width: 100%; z-index: 10;}
.cpt-post-single #cpt-post-details .leaflet-container.col-12 .leaflet-map {width: 80%;}
.cpt-post-single #cpt-post-details .leaflet-container .leaflet-gmap-cta {position: absolute; top: 0; right: 0; color: var(--light-txt-color); z-index: 11; border-radius: 0;}

/*Modalities (wysiwyg content)*/
.cpt-post-single #cpt-post-details div.modalities {padding: 24px 36px;}
.cpt-post-single #cpt-post-details div.modalities > h2 {margin: 0 auto;}
.cpt-post-single #cpt-post-details div.modalities > div.modalities-content {width: 90%;}
/*Materialze CSS correction*/
.cpt-post-single #cpt-post-details div.modalities > div.modalities-content ul {
  list-style-type: disc;
  padding-left: 32px;
}
.cpt-post-single #cpt-post-details div.modalities > div.modalities-content ul > li {list-style-type: disc;}
